Package org.apache.activemq.artemis.jms.server.config

## Interface JMSConfiguration

- All Known Implementing Classes:
    `FileJMSConfiguration`, `JMSConfigurationImpl`

      public interface JMSConfiguration

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URL` | `getConfigurationUrl()` |
    `java.util.List<ConnectionFactoryConfiguration>` | `getConnectionFactoryConfigurations()` |
    `java.lang.String` | `getDomain()` |
    `java.util.List<JMSQueueConfiguration>` | `getQueueConfigurations()` |
    `java.util.List<TopicConfiguration>` | `getTopicConfigurations()` |
    `JMSConfiguration` | `setConfigurationUrl​(java.net.URL configurationUrl)` |
    `JMSConfiguration` | `setConnectionFactoryConfigurations​(java.util.List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)` |
    `JMSConfiguration` | `setDomain​(java.lang.String domain)` |
    `JMSConfiguration` | `setQueueConfigurations​(java.util.List<JMSQueueConfiguration> queueConfigurations)` |
    `JMSConfiguration` | `setTopicConfigurations​(java.util.List<TopicConfiguration> topicConfigurations)` |

- - ### Method Detail

    - #### getQueueConfigurations

          java.util.List<JMSQueueConfiguration> getQueueConfigurations()

    - #### setQueueConfigurations

          JMSConfiguration setQueueConfigurations​(java.util.List<JMSQueueConfiguration> queueConfigurations)

    - #### getTopicConfigurations

          java.util.List<TopicConfiguration> getTopicConfigurations()

    - #### setTopicConfigurations

          JMSConfiguration setTopicConfigurations​(java.util.List<TopicConfiguration> topicConfigurations)

    - #### getConnectionFactoryConfigurations

          java.util.List<ConnectionFactoryConfiguration> getConnectionFactoryConfigurations()

    - #### setConnectionFactoryConfigurations

          JMSConfiguration setConnectionFactoryConfigurations​(java.util.List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)

    - #### getDomain

          java.lang.String getDomain()

    - #### setDomain

          JMSConfiguration setDomain​(java.lang.String domain)

    - #### getConfigurationUrl

          java.net.URL getConfigurationUrl()

    - #### setConfigurationUrl

          JMSConfiguration setConfigurationUrl​(java.net.URL configurationUrl)